package com.jwipc.sys.logic;

import com.jwipc.page.PageView;
import com.jwipc.sys.dto.PrintTempBaseDTO;
import com.jwipc.sys.model.query.PrintTempQuery;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface PrintTempLogic {
    PageView findByPage(PrintTempQuery query);

    void saveOrUpdate(PrintTempBaseDTO saveOrUpdate);

    PrintTempBaseDTO getDetail(Long id);

    void del(Long id);
}